### Name: pyramid
### Title: Population pyramid
### Aliases: pyramid
### Keywords: aplot

### ** Examples

data(Oswego)
.data <- Oswego
attach(.data)

# The above lines generate a hypothetical data frame. 
# In reality, one just exploits 'use("Oswego.rec"), if the file is available.

pyramid(age, sex)
pyramid(age, sex, printTable=TRUE)
pyramid(age, sex, col="red")
pyramid(age, sex, col=1:16) # Too colorful!
output <- pyramid(age, sex, binwidth = 10, percent="each", decimal=2)
title(main="Frequency of age group (years) by sex") 
output
tabpct(output$ageGroup, chocolate)

pyramid(inputTable=VADeaths[,1:2], font.lab=4)
title("Death rates per 100 in rural Virginia in 1940")
 




